CUTLASS: cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params Struct Reference

Parameters structure.

`#include <gemm_batched.h>`

Collaboration diagram for cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params:
[legend]

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (cutlass::gemm::GemmCoord const &problem_size_, cutlass::gemm::GemmCoord const &grid_tiled_shape_, typename Mma::IteratorA::TensorRef ref_A_, int64_t stride_A_, typename Mma::IteratorB::TensorRef ref_B_, int64_t stride_B_, typename Epilogue::OutputTileIterator::TensorRef ref_C_, int64_t stride_C_, typename Epilogue::OutputTileIterator::TensorRef ref_D_, int64_t stride_D_, typename OutputOp::Params epilogue_, int batch_count_)

## Public Attributes
cutlass::gemm::GemmCoord | problem_size
cutlass::gemm::GemmCoord | grid_tiled_shape
Mma::IteratorA::Params | params_A
Mma::IteratorA::TensorRef | ref_A
int64_t | stride_A
Mma::IteratorB::Params | params_B
Mma::IteratorB::TensorRef | ref_B
int64_t | stride_B
Epilogue::OutputTileIterator::Params | params_C
Epilogue::OutputTileIterator::TensorRef | ref_C
int64_t | stride_C
Epilogue::OutputTileIterator::Params | params_D
Epilogue::OutputTileIterator::TensorRef | ref_D
int64_t | stride_D
OutputOp::Params | epilogue
int | batch_count
int | gemm_k_iterations

## Constructor & Destructor Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::Params | ( |  | ) |
| inline

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

CUTLASS_HOST_DEVICE cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::Params | ( | cutlass::gemm::GemmCoord const & | problem_size_,
|  | cutlass::gemm::GemmCoord const & | grid_tiled_shape_,
|  | typename Mma::IteratorA::TensorRef | ref_A_,
|  | int64_t | stride_A_,
|  | typename Mma::IteratorB::TensorRef | ref_B_,
|  | int64_t | stride_B_,
|  | typename Epilogue::OutputTileIterator::TensorRef | ref_C_,
|  | int64_t | stride_C_,
|  | typename Epilogue::OutputTileIterator::TensorRef | ref_D_,
|  | int64_t | stride_D_,
|  | typename OutputOp::Params | epilogue_,
|  | int | batch_count_
| ) |  |
| inline

## Member Data Documentation

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::batch_count

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

OutputOp::Params cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::epilogue

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::gemm_k_iterations

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

cutlass::gemm::GemmCoord cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::grid_tiled_shape

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorA::Params cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorB::Params cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::Params cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_C

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::Params cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::params_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

cutlass::gemm::GemmCoord cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::problem_size

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorA::TensorRef cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Mma::IteratorB::TensorRef cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::TensorRef cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_C

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

Epilogue::OutputTileIterator::TensorRef cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::ref_D

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int64_t cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::stride_A

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int64_t cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::stride_B

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int64_t cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::stride_C

template<typename Mma_ , typename Epilogue_ , typename ThreadblockSwizzle_ >

int64_t cutlass::gemm::kernel::GemmBatched< Mma_, Epilogue_, ThreadblockSwizzle_ >::Params::stride_D

The documentation for this struct was generated from the following file:

- kernel/gemm_batched.h